Bug 84694 - Select the whole sheet when a picture was prior selected, then copy or cut, only the prior selected picture was copied/cut, not the whole sheet.
Summary: Select the whole sheet when a picture was prior selected, then copy or cut, o...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.3.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Images Cut-Copy Sheet
  Show dependency treegraph
 
Reported: 2014-10-05 19:55 UTC by Yoswin Prajuabmoh
Modified: 2019-07-30 03:12 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
The whole sheet was selected, and the prior selected object is still active. (325.74 KB, image/jpeg)
2014-10-05 19:55 UTC, Yoswin Prajuabmoh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yoswin Prajuabmoh 2014-10-05 19:55:12 UTC
Created attachment 107377 [details]
The whole sheet was selected, and the prior selected object is still active.

When I select a single picture attached to a sheet from picture file, and then select the whole sheet by clicking the top left header, then do a copy or cut operation, the whole sheet should be copied/cut, but in fact not. Only the prior selected picture was copied/cut, not the whole sheet. When I paste the copied object(s) into another sheet, only prior selected picture was pasted.
Comment 1 Tim Lloyd 2014-10-10 02:22:56 UTC
Hi,

your attachment is unreadable :(

I can recreate this under Fedora 21 LO4.3.2.2 also XP LO4.2.04

Just to ensure we are on the same page:

create a new speadsheet
1. in cell L24 Insert->Image->from file
2. in other random cells insert text
3. click on L24
4. click on top left header - the whole document is highlighted
5. click CTRL-X
6. cell L24 is cut but the rest of the document is untouched

Is the function of the top left header to SELECT ALL or highlight all?
Comment 2 Tim Lloyd 2014-10-12 05:41:15 UTC
as per my last post, setting status to NEW
Comment 3 tommy27 2016-04-16 07:25:32 UTC Comment hidden (obsolete)
Comment 4 Xavier Van Wijmeersch 2017-07-09 13:36:28 UTC
confirmed for the steps in comment1

but when not select the image in step3, the text and the image is copying and can be past as a whole in another sheet (only steps 1.2,4,5,6)

Version: 6.0.0.0.alpha0+
Build ID: 6549993b17feb1423c76b5237f086e6f35346a2c
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: kde4; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-07-06_07:37:37
Locale: nl-BE (en_US.UTF-8); Calc: group
Comment 5 QA Administrators 2018-07-10 02:37:01 UTC Comment hidden (obsolete)
Comment 6 Yoswin Prajuabmoh 2018-07-24 10:48:07 UTC
I downloaded, installed and tested LibreOffice (current latest version, 6.0.5 x86-64) today to see if this bug I reported on 2014-10-05 (with version 4.1.3.2 x86-64) is currently fixed or not. I found this bug is still present.

Explanation:- After I selected a single graphic object, I tried select the whole sheet A) by clicking the top left header, then do cut/copy (tried both cut and copy, cutting resulted in only the prior selected graphic object was cut out), pasting the copied into another sheet, only prior selected graphic object was pasted. B) using main menu (Edit > Select All) and C) using shortcut key sequence (in this case Ctrl-Shift-Space), at this step, only all graphic objects in sheet were selected altogether, every things else were not; then do cut/copy (tried both cut and copy, cutting resulted in all the graphic objects in sheet were cut out, but every things else remain), pasting the copied into another sheet, only all graphic objects from selection were copied, each in exact positions.
Comment 7 QA Administrators 2019-07-30 03:12:39 UTC
Dear Yoswin Prajuabmoh,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug